"XXXX" is not translated in ja, zh

转载 2015年07月07日 13:30:51

在Android SDK Tool r19之后, Export的时候遇到xxx is not translated in xxx的问题。

例如:

  1. "auto_exit" is not translated in zh, zh_CN  

这是因为Android SDK Tool 將 ANDROID_LINT_COMPLETE_REGIONS 改为了需要检查。

 

建议先尝试Clean, 一般可以解决。实在不行修改Lint设置,如下。


临时解决方法:
Eclipse > Preference > Android > Lint Error Checking的Correctness: Messages > MissingTranslate
将 Severity 从 Fetal 改为 Warming







“APP_NAME" IS NOT TRANSLATED IN ZH, ZH_CN……..解决办法

今天把Android Studio更新到0.8.9,一如既往出现各种神坑。调试的时候没啥问题,在打包的时候出现了"app_name" is not translated in zh, zh_CN….....
  • xiahao86
  • xiahao86
  • 2015年01月10日 18:47
  • 17921

xxxx is not translated in zh-rCN, zh-rTW

1.异常提示: is not translated in zh-rCN, zh-rTW 产生这个错误是因为Lint 代码检查工具发现你的项目中有部分string.xml文件内容做了国际化操作,但却不...
  • zhufuing
  • zhufuing
  • 2014年03月19日 10:23
  • 12873

“APP_NAME" IS NOT TRANSLATED IN ZH, ZH_CN……..解决办法

      “APP_NAME" IS NOT TRANSLATED IN ZH, ZH_CN……..解决办法 分类: Android 2015-01-10 18:47 1647...

Android Studio 打包出现not in translated in "zh"错误

出现这个错误的原因呢就是说对应的资源文件的值没有做翻译。有一下几种办法可以解决: 1.在设置里将Incomplete translation 的级别从error改成warming,不过本人亲测没有什...

Android应用程序打包时,出现错误:"XXX" is not translated in .....

问题:当我们开发完成一个Android应用程序后,在发布该应用程序之前必须要经过的一步时打包应用程序。 选择Eclipse ADT打包应用程序的过程如下: 可是在这时,会出现如...
  • Pompeii
  • Pompeii
  • 2015年02月25日 13:16
  • 1377

在使用AndroidStudio打包apk时,遇到“xxx is not translated in xxx”错误的解决办法

如上图所示的错误 这是因为在string.xml文件中出现的字符串定义没有多过语言版本。一个最笨的解决办法就是将多国语言版本的string.xml补充完整。 不过还有更简单的方法。 方法一:将错...

Android应用程序打包时,出现错误:"XXX" is not translated in "af" , "am" , "ar" ....

"your_string_name" is not translated in af, am, ar, be, bg, ca, cs, da, de, el, en-rGB, es, es-rUS, ...

Android应用程序打包时,出现错误:"XXX" is not translated in "af" (Afrikaans), "am" (Amharic), "ar" (Arabic).....

问题:当我们开发完成一个Android应用程序后,

开发中碰到的问题:Android应用程序打包时,出现错误:"XXX" is not translated in "af" (Afrikaans), "am" (Amharic), "ar" (Arab

问题:当我们开发完成一个Android应用程序后,在发布该应用程序之前必须要经过的一步时打包应用程序。 至于从打包程序到发布的完整过程可以参考: Android 应用程序发布流程---碗豆荚发布...

The dependency `XXXX` is not used in any concrete target.

在使用cocoapod安装依赖库的时候经常会报这个错误,如果遇到这个错误,需要在podfile中添加两行:target:"PodDemo" doend注意:这里的PodDemo要写成你的工程文件名,我...
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:"XXXX" is not translated in ja, zh
举报原因:
原因补充:

(最多只允许输入30个字)